<?xml version="1.0" encoding="UTF-8"?>
<web-app version="3.0"
     xmlns="http://java.sun.com/xml/ns/javaee"
     xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
     xsi:schemaLocation="http://java.sun.com/xml/ns/javaee
     http://java.sun.com/xml/ns/javaee/web-app_3_0.xsd" metadata-complete="true">

 <filter>
    <filter-name>springRequestFilter</filter-name>
    <filter-class>org.springframework.web.filter.RequestContextFilter</filter-class>
  </filter>
  <listener>
    <listener-class>org.springframework.web.context.ContextLoaderListener</listener-class>
  </listener>
	<!-- applies log4j configuration -->
	<listener>
	    <listener-class>org.springframework.web.util.Log4jConfigListener</listener-class>
	</listener>  
 
<!--  <resource-env-ref> -->
<!--     <resource-env-ref-name>jdbc/sicura</resource-env-ref-name> -->
<!--     <resource-env-ref-type>javax.sql.DataSource</resource-env-ref-type> -->
<!-- </resource-env-ref> -->
 
 <resource-ref>
      <description>sicura</description>
      <res-ref-name>jdbc/sicura</res-ref-name>
      <res-type>javax.sql.DataSource</res-type>
      <res-auth>Container</res-auth>
      <res-sharing-scope>Shareable</res-sharing-scope>
 </resource-ref>

   <servlet>
    <servlet-name>DispatcherServlet</servlet-name>
    <servlet-class>org.springframework.web.servlet.DispatcherServlet</servlet-class>
    <load-on-startup>1</load-on-startup>
  </servlet>
  
 		
  <servlet-mapping>
    <servlet-name>DispatcherServlet</servlet-name>
    <url-pattern>*.html</url-pattern>
  </servlet-mapping>
  <servlet-mapping>
    <servlet-name>DispatcherServlet</servlet-name>
    <url-pattern>*.do</url-pattern>
  </servlet-mapping>
  <servlet-mapping>
    <servlet-name>DispatcherServlet</servlet-name>
    <url-pattern>/rest/*</url-pattern>
  </servlet-mapping>
  <servlet-mapping>
    <servlet-name>DispatcherServlet</servlet-name>
    <url-pattern>/grid/*</url-pattern>
  </servlet-mapping>
 
 
  <display-name>sicura</display-name>
  
  
  <context-param>
    <param-name>log4jConfigLocation</param-name>
    <param-value>/WEB-INF/properties/log4j.properties</param-value>
  </context-param>
  <context-param>
    <param-name>contextConfigLocation</param-name>
    <param-value>classpath*:WEB-INF/applicationContext*.xml</param-value>
  </context-param>
  <context-param>
    <param-name>contextConfigLocation</param-name>
    <param-value>
			/WEB-INF/applicationContext.xml
			/WEB-INF/DispatcherServlet-servlet.xml
        </param-value>
  </context-param>
  

  
  <welcome-file-list>
    <welcome-file>index.jsp</welcome-file>
    <welcome-file>home.do</welcome-file>
    <welcome-file>default.html</welcome-file>
    <welcome-file>default.htm</welcome-file>
    <welcome-file>default.jsp</welcome-file>
  </welcome-file-list>
  
  
  
   	<security-constraint>
		<display-name>Sicura</display-name>
		<web-resource-collection>
        	<web-resource-name>Sicura</web-resource-name>
			<url-pattern>/*</url-pattern>
			<http-method>GET</http-method>
			<http-method>PUT</http-method>
			<http-method>POST</http-method>
			<http-method>DELETE</http-method>
		</web-resource-collection>
		<auth-constraint>
        	<role-name>SicuraWeb_TR</role-name>
            <role-name>SicuraWeb_DF</role-name>
            <role-name>SicuraWeb_AS</role-name>
            <role-name>SicuraWeb_GI</role-name>
			<role-name>SicuraWeb_VI</role-name>
		</auth-constraint>
	</security-constraint>
	<security-role>
		<description>Tesoriere responsabile</description>
        <role-name>SicuraWeb_TR</role-name>
	</security-role>
	<security-role>
		<description>Delegato firma</description>
		<role-name>SicuraWeb_DF</role-name>
	</security-role>
	<security-role>
		<description>Amministratore sistema</description>
		<role-name>SicuraWeb_AS</role-name>
	</security-role>
	<security-role>
		<description>Gestore informatico</description>
		<role-name>SicuraWeb_GI</role-name>
	</security-role> 
	<security-role>
		<description>Utente visualizzatore</description>
		<role-name>SicuraWeb_VI</role-name>
	</security-role>

 <login-config>   
        <auth-method>BASIC</auth-method>
  </login-config>  

</web-app>